sckt-client
===========

This is the client app for *sckt*, a general purpose reverse proxy.

To make use of this software, at the moment you have to create an account at
[sckt.co](https://sckt.co).

Usage
-----

To get started, install sckt-client (see the next section), and have your
account credentials at hand. On the first time you run the client, you'll need
to enter them, but you won't need them on from then on.

Sharing an ssh server running on the computer is as simple as

    sckt -d mymachine 22

This will forward requests to `mymachine.username.sckt.co` for this client. You
can omit the `-d mymachine` flag, then *sckt* will show you a unique, generated
domain name.

If you don't want to publish a record in the DNS system, use the `-n` flag like so:

    sckt -n 22

sckt will then only allocate an IPv6 address for your service.

For the current list of all options and syntax, check out `sckt --help`

No IPv6? No problem.
--------------------

So you set up your *sckt* client, but you can't reach your servers? It
might be that your network doesn't support IPv6. We've got your back
with an HTTP proxy at

    http://proxy.sckt.co:8888

Install
-------

The hard non-Python dependencies are `libsodium >= 1.0.0` and `zeromq >= 4.0`.
On Raspbian, Debian and Ubuntu systems, binaries are provided by *sckt.co*.

### Debian and Ubuntu (including Raspbian)

First, add the "Sckt Corporation Build Service" key to apt like so:

    gpg --keyserver keys.gnupg.net --recv 54EB5086
    gpg --export 54EB5086 | sudo apt-key add -

Next, set up the apt repositories.

    sudo apt-add-repository "deb http://apt.sckt.co/ <distro> main"
    sudo apt-get update && apt-get install python-sckt-client

Depending on the distribution you're running, change `<distro>`:

 * `wheezy` on Raspbian, and Debian Wheezy
 * `jessie` on Debian Jessie and Sid
 * `trusty` on Ubuntu Trusty (14.04) and Utopic (14.10)

### Arch Linux

Every dependency is available in the main Arch repositories. You just have to
install them first.

    pacman -S libsodium zeromq python2-pyzmq python2-tornado python2-pip
    pip2.7 install sckt-client

### The pip way

Install the hard dependencies. _Make sure `zeromq` is built against
`libsodium`._

Assuming you've got Python 2.7, Pip, and compilers set up, you'll need to

    pip install sckt-client

License
-------
Copyright 2014 SCKT Corporation Ltd.
Distributed under AGPLv3
