import os
from setuptools import setup, find_packages

# Utility function to read the README file.
# Used for the long_description.  It's nice, because now 1) we have a top level
# README file and 2) it's easier to type in the README file than to put a raw
# string in below ...
def read(fname):
    return open(os.path.join(os.path.dirname(__file__), fname)).read()

setup(
    name = "sckt-client",
    version = "0.1.0",
    author = "SCKT Corporation Ltd.",
    author_email = "rsdy@sckt.co",
    description = ("sckt client"),
    license = "AGPLv3",
    keywords = "client agent sckt proxy",
    url = "https://sckt.co",
    packages = find_packages(),
    long_description=read('README.md'),
    install_requires=["sckt-common==0.1.0",
                      "pyzmq>=14.4.1",
                      "pysodium",
                      "tornado>=4.0.2"],
    classifiers = ["Development Status :: 4 - Beta",
                   "License :: OSI Approved :: GNU Affero General Public License v3",
                   "Topic :: Internet :: Proxy Servers",
                   "Topic :: Security",
                   ],
    scripts = ['bin/sckt']
)
